net.i2p.client.streaming

## Class SchedulerImpl

- java.lang.Object
- - net.i2p.client.streaming.SchedulerImpl

- All Implemented Interfaces:
    TaskScheduler
  Direct Known Subclasses:
    SchedulerClosed, SchedulerClosing, SchedulerConnectedBulk, SchedulerConnecting, SchedulerDead, SchedulerHardDisconnected, SchedulerPreconnect, SchedulerReceived

      abstract class SchedulerImpl
      extends Object
      implements TaskScheduler

  Base scheduler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected I2PAppContext` | `_context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerImpl(I2PAppContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `reschedule(long msToWait, Connection con)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.i2p.client.streaming.TaskScheduler

      `accept, eventOccurred`

- - ### Field Detail

    - #### _context

          protected I2PAppContext _context

  - ### Constructor Detail

    - #### SchedulerImpl

          public SchedulerImpl(I2PAppContext ctx)

  - ### Method Detail

    - #### reschedule

          protected void reschedule(long msToWait,
                        Connection con)